<%@ tag import="org.mai806.catalog.model.MovieItem"%>
<%@ tag import="org.mai806.catalog.model.BookItem"%>
<%@ tag pageEncoding="windows-1251" %>
<%@ attribute name="item" required="true" type="org.mai806.catalog.model.CatalogItem" %>
<%@ attribute name="mode" required="false" description="'edit' or 'view'" %>

<% if (item instanceof MovieItem) {
        MovieItem movie = (MovieItem)item;
    %>
<table width="100%" class="item">
    <tr>
        <td width="20px" rowspan="2"><img src="img/movie.png" alt="Movie"/></td>
        <td>: <%=movie.getGenre()%></td>
    </tr>
    <tr>
        <td width="100%" colspan="2">
            <a href="author.jsp?author_id=<%=movie.getAuthor().getId()%>">
                <%=movie.getAuthor().getName()%></a>
            - <%=movie.getName()%>
        </td>
    </tr>
</table>
<%
   } else if (item instanceof BookItem) {
        BookItem book = (BookItem)item;
%>
<table width="100%" class="item">
    <tr>
        <td width="20px" rowspan="2"><img src="img/book.jpeg" alt="Book"/></td>
        <td>ISBN:<%=book.getISBN()%></td>
    </tr><tr>
        <td colspan="2">
            <a href="author.jsp?author_id=<%=book.getAuthor().getId()%>">
                <%=book.getAuthor().getName()%></a>
         - <%=book.getName()%>
        </td>
    </tr>
</table>
<%
   }
%>