<%@ page import="org.mai806.catalog.dao.Session"%>
<%@ page import="org.mai806.catalog.model.Catalog"%>
<%@ page import="java.util.List"%>
<%@ page import="java.util.ArrayList"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%
    String error = null;
    List<Catalog> catalogs = new ArrayList<Catalog>();
    Catalog current = null;
    try {
        Session dbSession = Session.getInstance();
        catalogs = dbSession.getCatalogDAO().getCatalogs();
        if (request.getParameter("catalog_id") != null) {
            Long catalog_id = Long.parseLong(request.getParameter("catalog_id"));
            dbSession.getCatalogDAO().getCatalog(catalog_id);
        }
    } catch(Exception e) {
        e.printStackTrace();
        error = e.getMessage();
    }
%>
<html>
  <head><title></title></head>
  <body>
    <h1></h1>
    <% if (error!=null) { %>
    <div class="error"> <%=error%> </div>
    <% } %>

    <table>
        <tr>
            <td>
                <ul>
                   <% for (Catalog catalog : catalogs) { %>
                    <li>
                        <a href="?catalog_id=<%=catalog.getId()%>"><%=catalog.getName()%></a>
                    </li>
                   <% } %>
                </ul>
            </td>
        </tr>
    </table>
  </body>
</html>