package org.mai806.catalog.model;

import org.mai806.catalog.dao.Session;

import java.util.List;

public class Catalog {

	private Long id;
	private String name;
	private List<CatalogItem> items;

	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

    /**
     * ""   
     * @return
     */
    public List<CatalogItem> getItems() {
        if (items==null) {
            try {
                items = Session.getInstance().getCatalogItemDAO().getItemsByCatalog(this);
            } catch (Exception e) {e.printStackTrace();}
        }
        return items;
	}
	public void setItems(List<CatalogItem> items) {
		this.items = items;
	}

}
