package org.mai806.sample.mvc;

import java.util.Map;

/**
 * ,    ,  
 *   ,       
 */
public class ModelAndView {
    private Map<String,Object> model;
    private String viewId;

    public ModelAndView(String viewId, Map<String, Object> model) {
        this.viewId = viewId;
        this.model = model;
    }

    public ModelAndView(String viewId) {
        this.viewId = viewId;
    }

    public Map<String, Object> getModel() {
        return model;
    }

    public void setModel(Map<String, Object> model) {
        this.model = model;
    }

    public String getViewId() {
        return viewId;
    }

    public void setViewId(String viewId) {
        this.viewId = viewId;
    }
}
