package org.mai806.sample.mvc.catalog;

import org.mai806.sample.mvc.Controller;
import org.mai806.sample.mvc.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.*;

/**
 *    
 */
public class CatalogController implements Controller {

    public ModelAndView processRequest(HttpServletRequest req, HttpServletResponse resp) throws Exception {
        //         ,
        //      
        Map<String, Object> model = new HashMap<String,Object>();
        //        title
        model.put("title", "");
        model.put("catalogs", getAllCatalogs());
        //   view   .     view
        return new ModelAndView("view.catalogs", model);
    }

    private List<Catalog> getAllCatalogs() {
        List<Catalog> list = new ArrayList<Catalog>();
        list.add(new Catalog("", new String[] {". :  Java",". :  "}));
        list.add(new Catalog("DVD ", new String[] {}));
        list.add(new Catalog("SACD ", new String[] {"Peter Gabriel: So"}));

        return list;
    }

    public class Catalog {

        public Catalog(String name, String[] items) {
            this.name = name;
            this.items = Arrays.asList(items);
        }

        private String name;
        private List<String> items;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public List<String> getItems() {
            return items;
        }

        public void setItems(List<String> items) {
            this.items = items;
        }

    }
}
