<%@ page import="org.mai806.catalog.dao.Session"%>
<%@ page import="org.mai806.catalog.model.Catalog"%>
<%@ page import="java.util.List"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="org.mai806.catalog.model.CatalogItem"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page pageEncoding="windows-1251" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="ui" %>
<%
    String error = null;
    List<Catalog> catalogs = new ArrayList<Catalog>();
    Catalog current = null;
    try {
        Session dbSession = Session.getInstance();
        catalogs = dbSession.getCatalogDAO().getCatalogs();
        if (request.getParameter("catalog_id") != null) {
            Long catalog_id = Long.parseLong(request.getParameter("catalog_id"));
            current = dbSession.getCatalogDAO().getCatalog(catalog_id);
        }
    } catch(Exception e) {
        e.printStackTrace();
        error = e.getMessage();
    }
%>
<html>
  <head>
      <link type="text/css" rel="StyleSheet" href="theme/catalog.css" />
      <title></title></head>
  <body>
    <h1></h1>
    <% if (error!=null) { %>
    <div class="error"> <%=error%> </div>
    <% } %>

    <table>
        <tr>
            <td width="20%" valign="top">
                <ul class="folders">
                   <% for (Catalog catalog : catalogs) { %>
                    <li>&nbsp;<a href="?catalog_id=<%=catalog.getId()%>"><%=catalog.getName()%></a> </li>
                   <% } %>
                </ul>
            </td>
            <td valign="top" width="70%">
                <% if (current!=null) { %>
                <h2> : <%=current.getName()%> (<%=current.getItems().size()%> )</h2>
                <table width="100%">
                    <% for (CatalogItem item : current.getItems()) { %>
                    <tr><td> <ui:catalogItem item="<%=item%>"/> </td></tr>
                    <% } %>
                </table>
                <% } else { %>
                <div class="info">   </div>
                <% } %>
            </td>
        </tr>
     </table>
  </body>
</html>