package org.mai806.catalog.model;

import org.mai806.catalog.dao.Session;

public abstract class CatalogItem {

    private Long id;
    private Author author;
    private String name;
    private Catalog catalog;

    public Long getId() {
        return id;
    }
    public void setId(Long id) {
        this.id = id;
    }

    public Author getAuthor() {
        if (author==null) {
            try {
                author = Session.getInstance().getAuthorDAO().getAuthorByItem(this);
            } catch(Exception e) {e.printStackTrace();}
        }
        return author;
    }
    public void setAuthor(Author author) {
        this.author = author;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    public Catalog getCatalog() {
        if (catalog==null) {
            try {
                catalog = Session.getInstance().getCatalogDAO().getCatalogByItem(this);
            } catch(Exception e) {e.printStackTrace();}
        }
        return catalog;
    }
    public void setCatalog(Catalog catalog) {
        this.catalog = catalog;
    }

}
