package org.mai806.sample.servlet;

import javax.naming.InitialContext;
import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.DriverManager;

/**
 * Manages db connection logic
 */
public class Connector {

    /**
     *   
     * @return
     * @throws Exception
     */
//    public static Connection getConnection() throws Exception {
//        Class.forName("oracle.jdbc.OracleDriver");
//        return DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:spm", "o01", "o01");
//    }

    /**
     *    JNDI- 
     * @return
     * @throws Exception
     */
    public static Connection getConnection() throws Exception {
        InitialContext initialContext = new InitialContext();
        DataSource dataSource
                = (DataSource)initialContext.lookup("java:comp/env/jdbc/CatalogDB");
        return dataSource.getConnection();
    }
}
